Subject: bug#46301: 28.0.50; cc-mode: add support for c++ lambda expression

From: Utkarsh Singh <[email-masked]>
Date: Sat, 27 Feb 2021 21:17:11 +0530

Alan Mackenzie <[email-masked]> writes:

> I've spent the last couple of days fixing the handling of C-M-a/e in
> cc-cmds.el.  It took rather more than the four line patch you proposed.
> ;-)  Could I ask you, please, to apply the following patch (which should
> apply cleanly to the Emacs master branch), byte compile cc-cmds.el, load
> it into Emacs, and test it for me on your real source code.  Then please
> report back whether the bug is in fact fixed, and if not, what is still
> wrong.  In the event you would like help with the patching or byte
> compiling, feel free to send me private email.
>

Thanks now issue is fixed and code itself looks pretty solid.

Due to my in-experience in Elisp and comprehensive cc-mode library I was
unable to deep dive into the patch but I have a questions about it:

Why non-interactive functions of cc-mode doesn't provide doc-string?
--
Utkarsh Singh